#ifndef CMETADATA_HPP
#define CMETADATA_HPP

#include "../CAbstractComponent.hpp"
#include "nlohmann/json_fwd.hpp"
#include <string>

namespace CosmicCore {
    class CMetaData : public CAbstractComponent{
        private:
            std::string m_name;
            std::string m_description;
        public:
            CMetaData(CEntity& entity): CAbstractComponent(entity){}
            CMetaData(CEntity& entity, std::string na, std::string desc): CAbstractComponent(entity), m_name(std::move(na)), m_description(std::move(desc)){}
            nlohmann::json to_json(){return nlohmann::json();}
            void setName(std::string name){m_name = std::move(name);}
            void setDescription(std::string desc){m_description = std::move(desc);}
    };

}

#endif